Loading...
Searching...
No Matches
mbedtls_aes_context Struct Reference

The AES context-type definition. More...

`#include <aes.h>`

## Data Fields

int | private_nr
size_t | private_rk_offset
uint32_t | private_buf [68]
int | dummy

## Detailed Description

The AES context-type definition.

Definition at line 63 of file aes.h.

## Field Documentation

## dummy

int mbedtls_aes_context::dummy

Definition at line 11 of file aes_alt.h.

## private_buf

uint32_t mbedtls_aes_context::private_buf[68]

Unaligned data buffer. This buffer can hold 32 extra Bytes, which can be used for one of the following purposes:

- Alignment if VIA padlock is used.
- Simplifying key expansion in the 256-bit case by generating an extra round key.

Definition at line 71 of file aes.h.

## private_nr

int mbedtls_aes_context::private_nr

The number of rounds.

Definition at line 64 of file aes.h.

## private_rk_offset

size_t mbedtls_aes_context::private_rk_offset

The offset in array elements to AES round keys in the buffer.

Definition at line 65 of file aes.h.

The documentation for this struct was generated from the following files:

- aes.h
- aes_alt.h